Catalogue
Beta2 endpoints, each naming the scope its key must carry.
GET /v1/services
scopeservices:readList services
Returns
objectstringdataarray of serviceobjectstringidstringnamestringcategorystringhas_morebooleannext_cursorstring
curl https://api.ghostsms.io/v1/services \
-H "Authorization: Bearer $GHOSTSMS_KEY"{
"object": "activation",
"data": [
{
"object": "activation",
"id": "…",
"name": "…",
"category": "…"
}
],
"has_more": false,
"next_cursor": "…"
}GET /v1/countries
scopeservices:readList countries
Returns
objectstringdataarray of countryobjectstringcodestringnamestringphone_prefixstringhas_morebooleannext_cursorstring
curl https://api.ghostsms.io/v1/countries \
-H "Authorization: Bearer $GHOSTSMS_KEY"{
"object": "activation",
"data": [
{
"object": "activation",
"code": "…",
"name": "…",
"phone_prefix": "…"
}
],
"has_more": false,
"next_cursor": "…"
}